EDIT - bug #6563

Display altitude, distance to Ground and watersurface correct handling of freetext
04/11/2017 02:56 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal Found in Version:

Description

There are 2 open issues:

i - covered by #7578.
¢ |f freetext is available, only the freetext should be shown (see comment e.g. on GatheringEvent#distanceToGroundText).

For the freetext issue also see
http:/test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/1ad7630a-290b-464f-99e3-43c9dfb3c38b/specimens

FieldUniU“db"N, 2°44"W.
Exact location: 20°46'N, 2°944"'W
Longitude: -2.7333333°
Latitude: 30.7566667°

'\(_If_llecting areas: Alt44—55ft

Record basis: FieldUnit

Holotype: "Algeria, 32 km S von Abadla an der Strale nach £
StraBenrand, 30°46'N, 2°44"W", 4 Apr 1980, Podlech 33787

Holotype: "Algeria, 32 km 5 von Abadla an der StraBe nach Beni Abl
30°46'N, 2°44"W", 4 Apr 1980, Podlech 33787 (M)

Specimen type designations: Holotype

Record basis: PreservedSpecimen

derived from:
FieldUnit: 30°46'N, 2°44"W.

Exact location: 30°46'N, 2°44"'W
Longitude: -2.7333333°
Latitude: 30.7666667°

Collecting areas: Record basis: FieldUnit

Note: | created an example record here:

http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/1ad7630a-290b-464f-99e3-43c9dfb3c38b/specimens
but this may be overwritten by importing a new production DB to test.

For related tasks see also #6412

Related issues:
Copied from EDIT - feature request #3742: Display altitude, distance to Groun... Closed

Associated revisions

Revision dbc2bfa9 - 07/31/2018 10:44 AM - Andreas Kohlbecker

fix #6563 perferring freetext over atomized min max valued and removing useless Error value handling

History

#1 - 04/11/2017 02:56 PM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/7578
http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/1ad7630a-290b-464f-99e3-43c9dfb3c38b/specimens
http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/1ad7630a-290b-464f-99e3-43c9dfb3c38b/specimens
https://dev.e-taxonomy.eu/redmine/issues/6412

- Copied from feature request #3742: Display altitude, distance to Ground and watersurface correctly in dataportal added

#2 - 04/11/2017 02:56 PM - Andreas Kohlbecker
- Tags set to phycobank

#3 - 05/11/2017 11:46 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#4 - 07/07/2017 09:15 AM - Andreas Kohlbecker

- Target version changed from Release 4.8 to Release 4.9

#5 - 07/21/2017 10:26 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#6 - 09/24/2017 01:42 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#7 - 11/08/2017 11:15 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#8 - 12/05/2017 02:16 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#9 - 01/31/2018 12:12 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#10 - 02/15/2018 02:59 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#11 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#12 - 06/28/2018 12:18 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#13 - 07/23/2018 01:10 PM - Andreas Kohlbecker
- Status changed from New to Rejected

- Target version deleted (Release 5.2)

Rejecting this issue as only the symptom is described here.
The actual cause is false serialization of Double values which are null, see #7578

#14 - 07/31/2018 09:33 AM - Andreas Miiller
- Status changed from Rejected to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

Reopen for review as the freetext issue is not covered by #7578.

(Also | would prefer "Duplicate”, not "Rejected" as status, describing symptoms is the default for tickets at beginning, as often the reason for a
symptom is not known)

#15 - 07/31/2018 10:30 AM - Andreas Kohlbecker
- File picture230-1.png added

- Subject changed from Display altitude, distance to Ground and watersurface correct handling of null values and freetext to Display altitude, distance
to Ground and watersurface correct handling of freetext

- Description updated
https://dev.e-taxonomy.eu/redmine/issues/7578
https://dev.e-taxonomy.eu/redmine/issues/7578

#16 - 07/31/2018 10:30 AM - Andreas Kohlbecker
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- Target version set to Release 5.2

#17 - 07/31/2018 10:44 AM - Andreas Kohlbecker
- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|dbc2bfa999e320fefb994358f70c28a612ee2f10.

#18 - 08/17/2018 09:44 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Works for the examples given in this issue.

Files
picture230-1.png 18.7 KB 07/31/2018 Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/dbc2bfa999e320fefb994358f70c28a612ee2f10
